Get integrator's collected fees data for all supported chains
curl --request GET \
--url https://li.quest/v1/integrators/{integratorId}import requests
url = "https://li.quest/v1/integrators/{integratorId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://li.quest/v1/integrators/{integratorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"integratorId": "fee-demo",
"feeBalances": [
{
"chainId": 137,
"tokenBalances": [
{
"token": {
"address": "0x0000000000000000000000000000000000000000",
"symbol": "MATIC",
"decimals": 18,
"chainId": 137,
"name": "MATIC",
"coinKey": "MATIC",
"priceUSD": "0.742896",
"logoURI": "https://static.debank.com/image/matic_token/logo_url/matic/6f5a6b6f0732a7a235131bd7804d357c.png"
},
"amount": 0,
"amountUsd": 0
}
]
}
]
}Integrator fee information
Get integrator's collected fees data for all supported chains
This endpoint can be used to request all integrator’s collected fees data by tokens for all supported chains.
The endpoint returns an Integrator object which contains the integrator id and an array of fee balances for all supported chains.
GET
/
v1
/
integrators
/
{integratorId}
Get integrator's collected fees data for all supported chains
Headers
Authentication header, register in the LI.FI Partner Portal (https://portal.li.fi/ ) to get your API Key.
Path Parameters
Id of the integrator that requests fee balances

